#include "cpptest.h"

CPPTEST_CONTEXT("/UT_DFBProject/IDirectFBImageProvider/idirectfbimageprovider_mif.c");
CPPTEST_TEST_SUITE_INCLUDED_TO("/UT_DFBProject/IDirectFBImageProvider/idirectfbimageprovider_mif.c");

CPPTEST_TEST_SUITE(TestSuite_idirectfbimageprovider_mif_c);
CPPTEST_TEST(TestSuite_idirectfbimageprovider_mif_c_test__IDirectFBImageProvider_MIF_AddRef_default);
CPPTEST_TEST(TestSuite_idirectfbimageprovider_mif_c_test__IDirectFBImageProvider_MIF_Release_default);
CPPTEST_TEST(TestSuite_idirectfbimageprovider_mif_c_test__IDirectFBImageProvider_MIF_GetImageDescription_default);
CPPTEST_TEST(TestSuite_idirectfbimageprovider_mif_c_test__IDirectFBImageProvider_MIF_GetSurfaceDescription_default);
CPPTEST_TEST(TestSuite_idirectfbimageprovider_mif_c_test__IDirectFBImageProvider_MIF_GetImageDescription_fault);
CPPTEST_TEST(TestSuite_idirectfbimageprovider_mif_c_test__IDirectFBImageProvider_MIF_SetRenderCallback_default);
CPPTEST_TEST(TestSuite_idirectfbimageprovider_mif_c_test__IDirectFBImageProvider_MIF_RenderTo_fault);
CPPTEST_TEST(TestSuite_idirectfbimageprovider_mif_c_test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_ARGB1555);
CPPTEST_TEST(TestSuite_idirectfbimageprovider_mif_c_test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_ARGB4444);
CPPTEST_TEST(TestSuite_idirectfbimageprovider_mif_c_test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_LUT8);
CPPTEST_TEST(TestSuite_idirectfbimageprovider_mif_c_test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_ARGB);
CPPTEST_TEST(TestSuite_idirectfbimageprovider_mif_c_test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_UYVY);
CPPTEST_TEST(TestSuite_idirectfbimageprovider_mif_c_test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_unknow);
CPPTEST_TEST(TestSuite_idirectfbimageprovider_mif_c_test__IDirectFBImageProvider_MIF_RenderTo_default);
CPPTEST_TEST(TestSuite_idirectfbimageprovider_mif_c_test_Probe_default);
CPPTEST_TEST_SUITE_END();
        

void TestSuite_idirectfbimageprovider_mif_c_test__IDirectFBImageProvider_MIF_AddRef_default();
void TestSuite_idirectfbimageprovider_mif_c_test__IDirectFBImageProvider_MIF_Release_default();
void TestSuite_idirectfbimageprovider_mif_c_test__IDirectFBImageProvider_MIF_GetImageDescription_default();
void TestSuite_idirectfbimageprovider_mif_c_test__IDirectFBImageProvider_MIF_GetSurfaceDescription_default();
void TestSuite_idirectfbimageprovider_mif_c_test__IDirectFBImageProvider_MIF_GetImageDescription_fault();
void TestSuite_idirectfbimageprovider_mif_c_test__IDirectFBImageProvider_MIF_SetRenderCallback_default();
void TestSuite_idirectfbimageprovider_mif_c_test__IDirectFBImageProvider_MIF_RenderTo_fault();
void TestSuite_idirectfbimageprovider_mif_c_test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_ARGB1555();
void TestSuite_idirectfbimageprovider_mif_c_test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_ARGB4444();
void TestSuite_idirectfbimageprovider_mif_c_test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_LUT8();
void TestSuite_idirectfbimageprovider_mif_c_test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_ARGB();
void TestSuite_idirectfbimageprovider_mif_c_test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_UYVY();
void TestSuite_idirectfbimageprovider_mif_c_test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_unknow();
void TestSuite_idirectfbimageprovider_mif_c_test__IDirectFBImageProvider_MIF_RenderTo_default();
void TestSuite_idirectfbimageprovider_mif_c_test_Probe_default();
CPPTEST_TEST_SUITE_REGISTRATION(TestSuite_idirectfbimageprovider_mif_c);

void TestSuite_idirectfbimageprovider_mif_c_setUp()
{
}

void TestSuite_idirectfbimageprovider_mif_c_tearDown()
{
}


/* CPPTEST_TEST_CASE_BEGIN test__IDirectFBImageProvider_MIF_AddRef_default */
/* CPPTEST_TEST_CASE_CONTEXT DirectResult _IDirectFBImageProvider_MIF_AddRef(IDirectFBImageProvider *) */
void TestSuite_idirectfbimageprovider_mif_c_test__IDirectFBImageProvider_MIF_AddRef_default()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (thiz) */ 
	IDirectFBImageProvider thiz;
	IDirectFBImageProvider_MIF_data data;

	data.ref = 0;
	thiz.priv = &data;

    IDirectFBImageProvider * _thiz  = &thiz ;
    IAny * this = (IAny*)_thiz;
    this->magic = 185931549 ;
    {
        /* Tested function call */
        DirectResult _return  = _IDirectFBImageProvider_MIF_AddRef(_thiz);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DR_OK, ( _return ) );
        CPPTEST_ASSERT_INTEGER_EQUAL(1, (data.ref) );
    }
}
/* CPPTEST_TEST_CASE_END test__IDirectFBImageProvider_MIF_AddRef_default */

/* CPPTEST_TEST_CASE_BEGIN test__IDirectFBImageProvider_MIF_Release_default */
/* CPPTEST_TEST_CASE_CONTEXT DirectResult _IDirectFBImageProvider_MIF_Release(IDirectFBImageProvider *) */
void TestSuite_idirectfbimageprovider_mif_c_test__IDirectFBImageProvider_MIF_Release_default()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (thiz) */ 
	IDirectFBImageProvider thiz;
	IDirectFBImageProvider_MIF_data data;

	data.ref = 1;
	thiz.priv = &data;

    IDirectFBImageProvider * _thiz  = &thiz ;
    IAny * this = (IAny*)_thiz;
    this->magic = 185931549 ;
    {
        /* Tested function call */
        DirectResult _return  = _IDirectFBImageProvider_MIF_Release(_thiz);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DR_OK, ( _return ) );
    }
}
/* CPPTEST_TEST_CASE_END test__IDirectFBImageProvider_MIF_Release_default */

/* CPPTEST_TEST_CASE_BEGIN test__IDirectFBImageProvider_MIF_GetImageDescription_default */
/* CPPTEST_TEST_CASE_CONTEXT DFBResult _IDirectFBImageProvider_MIF_GetImageDescription(IDirectFBImageProvider *, DFBImageDescription *) */
void TestSuite_idirectfbimageprovider_mif_c_test__IDirectFBImageProvider_MIF_GetImageDescription_default()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (thiz) */
	IDirectFBImageProvider thiz;
	IDirectFBImageProvider_MIF_data data;

	thiz.priv = &data;

    IDirectFBImageProvider * _thiz  = &thiz ;
    IAny * this = (IAny*)_thiz;
    this->magic = 185931549 ;
    /* Initializing argument 2 (desc) */ 
    DFBImageDescription _desc ;
    {
        /* Tested function call */
        DFBResult _return  = _IDirectFBImageProvider_MIF_GetImageDescription(_thiz, &_desc);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DFB_OK, ( _return ) );
    }
}
/* CPPTEST_TEST_CASE_END test__IDirectFBImageProvider_MIF_GetImageDescription_default */

/* CPPTEST_TEST_CASE_BEGIN test__IDirectFBImageProvider_MIF_GetSurfaceDescription_default */
/* CPPTEST_TEST_CASE_CONTEXT DFBResult _IDirectFBImageProvider_MIF_GetSurfaceDescription(IDirectFBImageProvider *, DFBSurfaceDescription *) */
void TestSuite_idirectfbimageprovider_mif_c_test__IDirectFBImageProvider_MIF_GetSurfaceDescription_default()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (thiz) */ 
	IDirectFBImageProvider thiz;
	IDirectFBImageProvider_MIF_data data;

	thiz.priv = &data;

    IDirectFBImageProvider * _thiz  = &thiz ;
    IAny * this = (IAny*)_thiz;
    this->magic = 185931549 ;
    /* Initializing argument 2 (dsc) */ 
    DFBSurfaceDescription  _dsc ;
    {
        /* Tested function call */
        DFBResult _return  = _IDirectFBImageProvider_MIF_GetSurfaceDescription(_thiz, &_dsc);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DFB_OK, ( _return ) );
        CPPTEST_ASSERT_UINTEGER_EQUAL((DSDESC_WIDTH | DSDESC_HEIGHT | DSDESC_PIXELFORMAT), ( _dsc.flags));
    }
}
/* CPPTEST_TEST_CASE_END test__IDirectFBImageProvider_MIF_GetSurfaceDescription_default */

/* CPPTEST_TEST_CASE_BEGIN test__IDirectFBImageProvider_MIF_GetImageDescription_fault */
/* CPPTEST_TEST_CASE_CONTEXT DFBResult _IDirectFBImageProvider_MIF_GetImageDescription(IDirectFBImageProvider *, DFBImageDescription *) */
void TestSuite_idirectfbimageprovider_mif_c_test__IDirectFBImageProvider_MIF_GetImageDescription_fault()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (thiz) */
	IDirectFBImageProvider thiz;
	IDirectFBImageProvider_MIF_data data;

	thiz.priv = &data;

    IDirectFBImageProvider * _thiz  = &thiz ;
    IAny * this = (IAny*)_thiz;
    this->magic = 185931549 ;
    /* Initializing argument 2 (desc) */
    DFBImageDescription * _desc  = 0 ;
    {
        /* Tested function call */
        DFBResult _return  = _IDirectFBImageProvider_MIF_GetImageDescription(_thiz, _desc);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DFB_INVARG, ( _return ) );
    }
}
/* CPPTEST_TEST_CASE_END test__IDirectFBImageProvider_MIF_GetImageDescription_fault */

/* CPPTEST_TEST_CASE_BEGIN test__IDirectFBImageProvider_MIF_SetRenderCallback_default */
/* CPPTEST_TEST_CASE_CONTEXT DFBResult _IDirectFBImageProvider_MIF_SetRenderCallback(IDirectFBImageProvider *, DIRenderCallback, void *) */
void TestSuite_idirectfbimageprovider_mif_c_test__IDirectFBImageProvider_MIF_SetRenderCallback_default()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (thiz) */
	IDirectFBImageProvider thiz;
	IDirectFBImageProvider_MIF_data data;

	thiz.priv = &data;

    IDirectFBImageProvider * _thiz  = &thiz ;
    IAny * this = (IAny*)_thiz;
    this->magic = 185931549 ;
    /* Initializing argument 2 (callback) */
    DIRenderCallback _callback  = 0 ;
    /* Initializing argument 3 (context) */
    void * _context  = 0 ;
    {
        /* Tested function call */
        DFBResult _return  = _IDirectFBImageProvider_MIF_SetRenderCallback(_thiz, _callback, _context);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DFB_OK, ( _return ) );
        CPPTEST_ASSERT_INTEGER_EQUAL( 0, (data.render_callback));
        CPPTEST_ASSERT_INTEGER_EQUAL( 0, (data.render_callback_context));
    }
}
/* CPPTEST_TEST_CASE_END test__IDirectFBImageProvider_MIF_SetRenderCallback_default */

/* CPPTEST_TEST_CASE_BEGIN test__IDirectFBImageProvider_MIF_RenderTo_fault */
/* CPPTEST_TEST_CASE_CONTEXT DFBResult _IDirectFBImageProvider_MIF_RenderTo(IDirectFBImageProvider *, IDirectFBSurface *, const DFBRectangle *) */
void TestSuite_idirectfbimageprovider_mif_c_test__IDirectFBImageProvider_MIF_RenderTo_fault()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (thiz) */
	IDirectFBImageProvider thiz;
	IDirectFBImageProvider_MIF_data data;

	thiz.priv = &data;

	IDirectFBImageProvider * _thiz  = &thiz ;
	IAny * this = (IAny*)_thiz;
	this->magic = 185931549 ;
    /* Initializing argument 2 (destination) */
    IDirectFBSurface * _destination  = 0 ;
    /* Initializing argument 3 (dest_rect) */
    const DFBRectangle * _dest_rect  = 0 ;
    {
        /* Tested function call */
        DFBResult _return  = _IDirectFBImageProvider_MIF_RenderTo(_thiz, _destination, _dest_rect);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DFB_INVARG, ( _return ) ) ;
    }
}
/* CPPTEST_TEST_CASE_END test__IDirectFBImageProvider_MIF_RenderTo_fault */

/* CPPTEST_TEST_CASE_BEGIN test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_ARGB1555 */
/* CPPTEST_TEST_CASE_CONTEXT DFBResult IDirectFBImageProvider_MIF_GetSurfaceDescription(IDirectFBImageProvider *, DFBSurfaceDescription *) */
void TestSuite_idirectfbimageprovider_mif_c_test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_ARGB1555()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (thiz) */
	IDirectFBImageProvider thiz;
	IDirectFBImageProvider_MIF_data data;
	MIFHeader header;
	header.width = 10;
	header.height = 20;
	header.format = 1;

	data.ptr = &header;
	thiz.priv = &data;

    IDirectFBImageProvider * _thiz  = & thiz ;
    IAny * this = (IAny*)_thiz;
    this->magic = 185931549 ;
    /* Initializing argument 2 (dsc) */
    DFBSurfaceDescription  _dsc ;
    {
        /* Tested function call */
        DFBResult _return  = IDirectFBImageProvider_MIF_GetSurfaceDescription(_thiz, &_dsc);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DFB_OK, ( _return ) );
        CPPTEST_ASSERT_UINTEGER_EQUAL((DSDESC_WIDTH | DSDESC_HEIGHT | DSDESC_PIXELFORMAT), ( _dsc.flags));
        CPPTEST_ASSERT_INTEGER_EQUAL(10, (_dsc.width));
        CPPTEST_ASSERT_INTEGER_EQUAL(20, (_dsc.height));
        CPPTEST_ASSERT_UINTEGER_EQUAL((DSPF_ARGB1555), (_dsc.pixelformat));
    }
}
/* CPPTEST_TEST_CASE_END test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_ARGB1555 */

/* CPPTEST_TEST_CASE_BEGIN test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_ARGB4444 */
/* CPPTEST_TEST_CASE_CONTEXT DFBResult IDirectFBImageProvider_MIF_GetSurfaceDescription(IDirectFBImageProvider *, DFBSurfaceDescription *) */
void TestSuite_idirectfbimageprovider_mif_c_test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_ARGB4444()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (thiz) */
	IDirectFBImageProvider thiz;
	IDirectFBImageProvider_MIF_data data;
	MIFHeader header;
	header.width = 20;
	header.height = 30;
	header.format = 2;

	data.ptr = &header;
	thiz.priv = &data;

	IDirectFBImageProvider * _thiz  = & thiz ;
	IAny * this = (IAny*)_thiz;
	this->magic = 185931549 ;
    /* Initializing argument 2 (dsc) */
    DFBSurfaceDescription _dsc  ;
    {
        /* Tested function call */
        DFBResult _return  = IDirectFBImageProvider_MIF_GetSurfaceDescription(_thiz, &_dsc);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DFB_OK, ( _return ) );
        CPPTEST_ASSERT_UINTEGER_EQUAL((DSDESC_WIDTH | DSDESC_HEIGHT | DSDESC_PIXELFORMAT), ( _dsc.flags));
        CPPTEST_ASSERT_INTEGER_EQUAL(20, (_dsc.width));
        CPPTEST_ASSERT_INTEGER_EQUAL(30, (_dsc.height));
        CPPTEST_ASSERT_UINTEGER_EQUAL((DSPF_ARGB4444), (_dsc.pixelformat));
    }
}
/* CPPTEST_TEST_CASE_END test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_ARGB4444 */

/* CPPTEST_TEST_CASE_BEGIN test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_LUT8 */
/* CPPTEST_TEST_CASE_CONTEXT DFBResult IDirectFBImageProvider_MIF_GetSurfaceDescription(IDirectFBImageProvider *, DFBSurfaceDescription *) */
void TestSuite_idirectfbimageprovider_mif_c_test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_LUT8()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (thiz) */
	IDirectFBImageProvider thiz;
	IDirectFBImageProvider_MIF_data data;
	MIFHeader header;
	header.width = 30;
	header.height = 40;
	header.format = 3;

	data.ptr = &header;
	thiz.priv = &data;

	IDirectFBImageProvider * _thiz  = & thiz ;
	IAny * this = (IAny*)_thiz;
	this->magic = 185931549 ;
	/* Initializing argument 2 (dsc) */
	DFBSurfaceDescription _dsc  ;
    {
        /* Tested function call */
        DFBResult _return  = IDirectFBImageProvider_MIF_GetSurfaceDescription(_thiz, &_dsc);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DFB_OK, ( _return ) );
        CPPTEST_ASSERT_UINTEGER_EQUAL((DSDESC_WIDTH | DSDESC_HEIGHT | DSDESC_PIXELFORMAT), ( _dsc.flags));
        CPPTEST_ASSERT_INTEGER_EQUAL(30, (_dsc.width));
        CPPTEST_ASSERT_INTEGER_EQUAL(40, (_dsc.height));
        CPPTEST_ASSERT_UINTEGER_EQUAL((DSPF_LUT8), (_dsc.pixelformat));
    }
}
/* CPPTEST_TEST_CASE_END test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_LUT8 */

/* CPPTEST_TEST_CASE_BEGIN test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_ARGB */
/* CPPTEST_TEST_CASE_CONTEXT DFBResult IDirectFBImageProvider_MIF_GetSurfaceDescription(IDirectFBImageProvider *, DFBSurfaceDescription *) */
void TestSuite_idirectfbimageprovider_mif_c_test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_ARGB()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (thiz) */
	IDirectFBImageProvider thiz;
	IDirectFBImageProvider_MIF_data data;
	MIFHeader header;
	header.width = 50;
	header.height = 60;
	header.format = 4;

	data.ptr = &header;
	thiz.priv = &data;

	IDirectFBImageProvider * _thiz  = & thiz ;
	IAny * this = (IAny*)_thiz;
	this->magic = 185931549 ;
	/* Initializing argument 2 (dsc) */
	DFBSurfaceDescription _dsc  ;
    {
        /* Tested function call */
        DFBResult _return  = IDirectFBImageProvider_MIF_GetSurfaceDescription(_thiz, &_dsc);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DFB_OK, ( _return ) );
        CPPTEST_ASSERT_UINTEGER_EQUAL((DSDESC_WIDTH | DSDESC_HEIGHT | DSDESC_PIXELFORMAT), ( _dsc.flags));
        CPPTEST_ASSERT_INTEGER_EQUAL(50, (_dsc.width));
        CPPTEST_ASSERT_INTEGER_EQUAL(60, (_dsc.height));
        CPPTEST_ASSERT_UINTEGER_EQUAL((DSPF_ARGB), (_dsc.pixelformat));
    }
}
/* CPPTEST_TEST_CASE_END test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_ARGB */

/* CPPTEST_TEST_CASE_BEGIN test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_UYVY */
/* CPPTEST_TEST_CASE_CONTEXT DFBResult IDirectFBImageProvider_MIF_GetSurfaceDescription(IDirectFBImageProvider *, DFBSurfaceDescription *) */
void TestSuite_idirectfbimageprovider_mif_c_test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_UYVY()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (thiz) */
	IDirectFBImageProvider thiz;
	IDirectFBImageProvider_MIF_data data;
	MIFHeader header;
	header.width = 70;
	header.height = 80;
	header.format = 5;

	data.ptr = &header;
	thiz.priv = &data;

	IDirectFBImageProvider * _thiz  = & thiz ;
	IAny * this = (IAny*)_thiz;
	this->magic = 185931549 ;
	/* Initializing argument 2 (dsc) */
	DFBSurfaceDescription _dsc  ;
    {
        /* Tested function call */
        DFBResult _return  = IDirectFBImageProvider_MIF_GetSurfaceDescription(_thiz, &_dsc);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DFB_OK, ( _return ) );
        CPPTEST_ASSERT_UINTEGER_EQUAL((DSDESC_WIDTH | DSDESC_HEIGHT | DSDESC_PIXELFORMAT), ( _dsc.flags));
        CPPTEST_ASSERT_INTEGER_EQUAL(70, (_dsc.width));
        CPPTEST_ASSERT_INTEGER_EQUAL(80, (_dsc.height));
        CPPTEST_ASSERT_UINTEGER_EQUAL((DSPF_UYVY), (_dsc.pixelformat));
    }
}
/* CPPTEST_TEST_CASE_END test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_UYVY */

/* CPPTEST_TEST_CASE_BEGIN test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_unknow */
/* CPPTEST_TEST_CASE_CONTEXT DFBResult IDirectFBImageProvider_MIF_GetSurfaceDescription(IDirectFBImageProvider *, DFBSurfaceDescription *) */
void TestSuite_idirectfbimageprovider_mif_c_test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_unknow()
{
	IDirectFBImageProvider thiz;
	IDirectFBImageProvider_MIF_data data;
	MIFHeader header;
	header.width = 20;
	header.height = 10;
	header.format = 0;

	data.ptr = &header;
	thiz.priv = &data;

    /* Pre-condition initialization */
    /* Initializing argument 1 (thiz) */
    IDirectFBImageProvider * _thiz  = &thiz ;
    IAny * this = (IAny*)_thiz;
    this->magic = 185931549 ;
    /* Initializing argument 2 (dsc) */
    DFBSurfaceDescription  _dsc ;
    {
        /* Tested function call */
        DFBResult _return  = IDirectFBImageProvider_MIF_GetSurfaceDescription(_thiz, &_dsc);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DFB_OK, ( _return ) );
        CPPTEST_ASSERT_UINTEGER_EQUAL((DSDESC_WIDTH | DSDESC_HEIGHT | DSDESC_PIXELFORMAT), ( _dsc.flags));
        CPPTEST_ASSERT_INTEGER_EQUAL(20, (_dsc.width));
        CPPTEST_ASSERT_INTEGER_EQUAL(10, (_dsc.height));
        CPPTEST_ASSERT_UINTEGER_EQUAL((DSPF_UNKNOWN), (_dsc.pixelformat));
    }
}
/* CPPTEST_TEST_CASE_END test_IDirectFBImageProvider_MIF_GetSurfaceDescription_format_unknow */

/* CPPTEST_TEST_CASE_BEGIN test__IDirectFBImageProvider_MIF_RenderTo_default */
/* CPPTEST_TEST_CASE_CONTEXT DFBResult _IDirectFBImageProvider_MIF_RenderTo(IDirectFBImageProvider *, IDirectFBSurface *, const DFBRectangle *) */
void TestSuite_idirectfbimageprovider_mif_c_test__IDirectFBImageProvider_MIF_RenderTo_default()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (thiz) */
	IDirectFBImageProvider thiz;
	IDirectFBImageProvider_MIF_data data;
	MIFHeader _header;

	_header.width = 10;
	_header.height = 10;
	_header.format = 0;
	data.ptr = & _header;
	data.render_callback = 0;
	thiz.priv = &data;

	IDirectFBImageProvider * _thiz  = &thiz ;
	IAny * this = (IAny*)_thiz;
	this->magic = 185931549 ;
    /* Initializing argument 2 (destination) */
	CoreSurface _surf;
	_surf.config.format = 0;

	DFBRectangle _my_rect = {0, 0, 10, 10};
	IDirectFBSurface_data _sur_data;
    IDirectFBSurface _destination ;

    _sur_data.surface = & _surf;
    _sur_data.area.current = _my_rect;
    _sur_data.area.wanted = _my_rect;

    _destination.priv = & _sur_data;
    /* Initializing argument 3 (dest_rect) */
    const DFBRectangle _dest_rect  = _my_rect ;
    {
        /* Tested function call */
        DFBResult _return  = _IDirectFBImageProvider_MIF_RenderTo(_thiz, & _destination, & _dest_rect);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DFB_OK, ( _return ) );
    }
}
/* CPPTEST_TEST_CASE_END test__IDirectFBImageProvider_MIF_RenderTo_default */

/* CPPTEST_TEST_CASE_BEGIN test_Probe_default */
/* CPPTEST_TEST_CASE_CONTEXT DFBResult Probe(IDirectFBImageProvider_ProbeContext *) */
void TestSuite_idirectfbimageprovider_mif_c_test_Probe_default()
{
    /* Pre-condition initialization */
    /* Initializing argument 1 (ctx) */
    IDirectFBImageProvider_ProbeContext  _ctx ;
    _ctx.header[0] = 'M';
    _ctx.header[1] = 'S';
    _ctx.header[2] = 'T';
    _ctx.header[3] = '!';
    {
        /* Tested function call */
        DFBResult _return  = Probe(&_ctx);
        /* Post-condition check */
        CPPTEST_ASSERT_EQUAL( DFB_OK, ( _return ) );
    }
}
/* CPPTEST_TEST_CASE_END test_Probe_default */
